<?php
$titlu='Sitemap bibliotecă';
require'f_sitemap.php';
echo sitemap($adresasite[0].'/biblioteca','Biblioteca');
$categorii=$conn->query('SELECT`id`,`nume`FROM`biblioteca_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
if(ceil($y1/$pepagyna)>$z1)
{
$z1++;
echo sitemap($adresasite[0].'/biblioteca/pagina/'.$z1,'Biblioteca - pagina '.$z1);
}
$y2=1;
$z2=1;
echo sitemap($adresasite[0].'/biblioteca/categorie/'.$categorie[0].'-'.seo($categorie[1]),'Categorie biblioteca, '.htmlspecialchars($categorie[1]));
$carti=$conn->query('SELECT`id`,`nume`FROM`biblioteca_carti`WHERE`cid`="'.$categorie[0].'"ORDER BY`data`DESC');
while($carte=$carti->fetch_row())
{
if(ceil($y2/$pepagyna)>$z2)
{
$z2++;
echo sitemap($adresasite[0].'/biblioteca/categorie/'.$categorie[0].'-'.seo($categorie[1]).'/pagina/'.$z2,'Categorie biblioteca, '.htmlspecialchars($categorie[1]).' - pagina '.$z2);
}
echo sitemap($adresasite[0].'/biblioteca/id/'.$carte[0].'-'.seo($carte[1]),'Carte '.htmlspecialchars($carte[1]));
$textele=$conn->query('SELECT COUNT(*)FROM`biblioteca_texte`WHERE`pid`="'.$carte[0].'"')->fetch_row()[0];
if($textele>1)
{
for($texte=1;$texte<$textele;$texte++)
{
echo sitemap($adresasite[0].'/biblioteca/id/'.$carte[0].'-'.seo($carte[1]).'/pagina/'.($texte+1),'Carte '.htmlspecialchars($carte[1]).' - pagina '.($texte+1));
}
}
$comentariile=$conn->query('SELECT COUNT(*)FROM`biblioteca_comentarii`WHERE`pid`="'.$carte[0].'"')->fetch_row()[0];
if($comentariile>0)
{
echo sitemap($adresasite[0].'/comentarii-carte/id/'.$carte[0].'-'.seo($carte[1]),'Comentarii carte '.htmlspecialchars($carte[1]));
$numar_comentarii=ceil($comentariile/$pepagyna);
for($comentarii=1;$comentarii<$numar_comentarii;$comentarii++)
{
echo sitemap($adresasite[0].'/comentarii-carte/id/'.$carte[0].'-'.seo($carte[1]).'/pagina/'.($comentarii+1),'Comentarii carte '.htmlspecialchars($carte[1]).' - pagina '.($comentarii+1));
}
}
$y2++;
}
$y1++;
}
echo$x2;
require'f_fun.php';